var koa = require('koa')()
var router = require('koa-router')()
var cache = require('./index')

router.get('/api/v1/test', function *(next) {
    console.log('new request')

    setTimeout(function() {
        cache.clear('*/api/v1/test')
    }, 1000)
})

cache.configure({
    '/api/v1/auth': false,
    '/api/v1/test': {
        timeout: 400000,
        cacheKeyArgs: {
            headers: 'authorization'
        }
    },
    '/api/jobs/:id': 30000
}, {
    external: {
        type: 'memory',
        host: 'localhost',
        port: 6379
    },
    cacheKeyPrefix: 'tvmid-proxy',
    debug: true
})

koa.use(cache.middleware())
koa.use(router.routes())

koa.listen(1337)
console.log('listening...')
